org.apache.sling.jcr.jackrabbit.server.security

## Interface AuthenticationPlugin

    public interface AuthenticationPlugin

Provide some of the functionality of the `Authentication` class without explicitly referencing classes in org.apache.jackrabbit.core.*

### Method Summary

Methods
`boolean` `authenticate(javax.jcr.Credentials credentials)`

### Method Detail

#### authenticate

    boolean authenticate(javax.jcr.Credentials credentials)
                         throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`
See Also:
  `Authentication.authenticate(javax.jcr.Credentials)`